@import "Style.css";
@import "Home.css";
@import "StyleRules.css";
.login {
  min-height: 400px;
  padding-top: 30px;
  margin-top: 75px;
  float: right;
  width: 100%;
}
.login_div {
  float: right;
  width: 38%;
  min-width: 300px;
  margin: 20px 34%;
  padding: 0% 20px;
  font-size: 13px;
  font-family: IRANSans;
  backdrop-filter: blur(5px);
  background-color: #00000000;
  color: rgb(255 255 255 / 87%);
  transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  box-shadow: 0 0 10px 0px #ffffff;
  border-radius: 15px;
  overflow: hidden;
  box-sizing: border-box;
}
.login_div h1 {
  text-align: center;
  font-size: 15px;
  float: right;
  width: 100%;
  margin-bottom: 40px;
  color: #fff;
}
.login_row {
  width: 100%;
  float: right;
  margin-bottom: 10px;
}
.login_row .label {
  float: right;
  width: 100px;
  line-height: 34px;
  font-size: 14px;
  font-weight: normal;
  padding: 0;
}
.login_row .label span {
  font-size: 14px;
  color: #f00;
  margin-right: 3px;
}
.login_row input {
  float: right;
  width: calc(100% - 100px);
  height: 34px;
  border: 1px solid #ccc;
  outline: none;
  text-align: center;
  font-size: 14px;
  font-family: IRANSans;
  border-radius: 4px;
  margin: 0;
  direction: ltr;
  min-width: 100px;
  color: #fff;
}
.login_row .username {
  width: calc(100% - 180px);
}
.login_row input::placeholder {
  color: rgb(225, 225, 225) !important;
  opacity: 0.5;
}
.login_row select {
  float: left;
  width: 70px;
  height: 34px;
  border: 1px solid #ccc;
  outline: none;
  text-align: center;
  font-size: 14px;
  font-family: IRANSans;
  border-radius: 4px;
  margin: 0;
  direction: ltr;
  min-width: 50px;
  color: #555;
}
.login_row select option {
  background: #444;
}
.login_row .time {
  float: left;
  width: calc(100% - 100px);
  line-height: 30px;
  border-radius: 5px;
  background: #fff;
  color: #00f;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
  margin: 10px 0 0;
}
.login_row .time span {
  margin: 0 10px;
}
.login_row .phone,
.login_row .referral_code {
  line-height: 34px;
  float: left;
  width: calc(100% - 100px);
  text-align: center;
  color: #555;
  direction: ltr;
}
.login_row .rules {
  display: inline-block;
  margin: 10px 0;
  line-height: 35px;
  color: #468ad9;
  cursor: pointer;
}
.login_row .rules span {
  float: right;
  box-sizing: border-box;
  height: 21px;
  width: 21px;
  line-height: 17px;
  text-align: center;
  padding: 1px;
  margin: 7px 0 7px 10px;
  border-radius: 3px;
  border: 1px solid #bbb;
  color: #848484;
}
.login_row .rules span strong {
  display: none;
}
#username_div2,
#username_div4 {
  display: none;
}

#code_div {
  display: none;
  background: #413fbc;
  color: #fff;
  box-sizing: border-box;
  padding: 20px 15px;
  border-radius: 8px;
}
#code_div .label {
  width: 100%;
  text-align: center;
  color: #fff;
}
#code_div input {
  width: 100%;
  text-align: center;
  color: #fff;
}

#code_div .time {
  width: 100%;
  text-align: center;
  color: #555;
}

.send_code {
  margin: 10px 10px 30px 0;
  float: left;
  text-align: center;
  background: #0f52ba;
  color: #fff;
  cursor: pointer;
  border-radius: 4px;
  line-height: 25px;
  padding: 0 5px;
}
.error_note {
  float: right;
  width: 100%;
  margin: 10px 0;
  background: #f00;
  border-radius: 5px;
  text-align: center;
  color: #fff;
  display: none;
  line-height: 25px;
}
.submitdiv {
  margin: 10px 10px 30px 0;
  float: left;
  text-align: center;
  display: none;
}
.submitdiv input {
  width: 80px !important;
  min-width: 50px !important;
  outline: none;
  border-radius: 4px !important;
  border: none !important;
  background: #0f52ba;
  color: #fff;
  cursor: pointer;
  height: 25px !important;
  margin: 0 0 0 3px;
  float: left !important;
}
.reg_error {
  border-color: #f00 !important;
}
@media (max-width: 800px) {
  .login {
    height: auto;
  }
  .login_div {
    width: 90%;
    min-width: unset;
    margin: 20px 5%;
  }
  .login_row .label {
    width: 100%;
    text-align: right;
  }
  .login_row .username {
    width: calc(100% - 80px);
  }
  .login_row .time {
    float: right;
  }
}
